Mail archive
alpine-aports

Re: [alpine-aports] [PATCH] testing/openconnect: new aport

From: Myautsai PAN <myautsai_at_gmail.com>
Date: Wed, 7 Oct 2015 20:43:11 +0800

Dear Natanael,

Sorry about my delay.

http://patchwork.alpinelinux.org/patch/562/ is the old patch. I updated the patch by instruction in http://wiki.alpinelinux.org/wiki/Creating_patches#Resend_an_updated_patch . But somehow [a new patch](http://patchwork.alpinelinux.org/patch/684/ ) is created. I'm not sure whether I'm doing the right thing. If not so, please close #562 and just use #684.

Personally I strongly suggest immigrating from patchwork to GitHub and use the PR-mode.

-- 
Myautsai PAN
Sent with Sparrow (http://www.sparrowmailapp.com/?sig)
On Tuesday, September 15, 2015 at 16:37, Natanael Copa wrote:
> On Sun, 13 Sep 2015 01:16:11 +0800
> "PAN, Myautsai" <myautsai_at_gmail.com (mailto:myautsai_at_gmail.com)> wrote:
> 
> > From: mckelvin <mckelvin_at_users.noreply.github.com (mailto:mckelvin_at_users.noreply.github.com)>
> > 
> > http://www.infradead.org/openconnect/
> > Open client for Cisco AnyConnect VPN
> > ---
> > testing/openconnect/APKBUILD | 33 +++++++++++++++++++++++++++++++++
> > 1 file changed, 33 insertions(+)
> > create mode 100644 testing/openconnect/APKBUILD
> > 
> 
> 
> Thanks for this patch, but it does not build:
> 
> checking for OPENSSL... no
> checking for OpenSSL without pkg-config... no
> configure: error: Could not build against OpenSSL
> make: *** No targets specified and no makefile found. Stop.
> 
> 
> > 
> > diff --git a/testing/openconnect/APKBUILD b/testing/openconnect/APKBUILD
> > new file mode 100644
> > index 0000000..4bdc4f2
> > --- /dev/null
> > +++ b/testing/openconnect/APKBUILD
> > _at__at_ -0,0 +1,33 @@
> > +# Contributor: Myautsai PAN <myautsai_at_gmail.com (mailto:myautsai_at_gmail.com)>
> > +# Maintainer: Myautsai PAN <myautsai_at_gmail.com (mailto:myautsai_at_gmail.com)>
> > +
> > +pkgname=openconnect
> > +pkgver=7.06
> > +pkgrel=2
> > +pkgdesc="Open client for Cisco AnyConnect VPN"
> > +url="http://www.infradead.org/openconnect/"
> > +arch="all"
> > +license="LGPL2.1"
> > +depends="libxml2 gnutls libproxy vpnc krb5 lz4 openssl"
> > 
> 
> 
> abuild will automatically pull in the needed runtime dependencies for
> shared libraries so you will most likely not need the libxml2, gnutls
> etc dependencies listed there.
> 
> > +depends_dev="libxml2-dev gnutls-dev libproxy-dev vpnc krb5-dev lz4-dev openssl-dev gettext"
> > +makedepends="intltool python"
> > 
> 
> 
> depends_dev will only be added as dependency for a -dev subpackage.
> Since there are no subpackages in this case, the depends_dev is
> meaningless.
> 
> I believe you need to move all the packages in depends_dev to makedepends.
> 
> I am also not sure if gettext dep is needed?
> 
> Care to send a v2 patch?
> 
> http://wiki.alpinelinux.org/wiki/Creating_patches#Resend_an_updated_patch
> 
> -nc 
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Oct 07 2015 - 20:43:11 GMT